Subject: bug#25838: 25.1; Eshell history polluted by eshell/clear

From: [email-masked]
Date: Sun, 26 Feb 2017 20:42:09 -0500

tags 25838 fixed
close 25838 26.1
quit

Thomas Ferreira <[email-masked]> writes:

>  -------- Original Message --------
>  Subject: Re: bug#25838: 25.1; Eshell history polluted by eshell/clear
>
>  IMO, it should be filtering out newlines anyway, but since it is
>  customizable, it's not quite a satisfactory fix. We should also disable
>  eshell-add-to-history while sending the `eshell/clear'ing lines:
>
> Thank you, I agree with you it's definitely a better way to fix this issue. 

Pushed to master [1: 4676542062].

1: 2017-02-26 20:39:11 -0500 46765420620509f17dbd6a90f6829e6e2b26b0c6
  Don't record eshell/clear "command" in history (Bug#25838)